
Foreman - Feature #12235

OS minor versions should all use the same templates, installation media, and partition tables

10/21/2015 08:20 AM - Leah Fisher

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When setting up Katello/Foreman, I installed Centos 7 media, so the OS version came in as 7, once the system was built, updated,

and the facts were uploaded the OS is now 7.1 which means it has no installation media along with other things.  I went to edit a

parameter and got an error about the installation media not being associated with this OS since the OS of the system had changed.

It would be great if the OS doesn't change, or if all new minor versions inherit the same values as the original major version when

created.  It is also really frustrating if you try to rebuild the box since none of the OS markers are the same anymore.

Related issues:

Is duplicate of Foreman - Bug #6006: OS facts should not overwrite the OS sel... Closed 06/02/2014

History

#1 - 10/21/2015 08:30 AM - Dominic Cleal

- Is duplicate of Bug #6006: OS facts should not overwrite the OS selected to provision with added

#2 - 10/21/2015 08:30 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, we're tracking this under #6006 and linked tickets.
